<div id="medicalrecords" class="page-layout simple left-sidebar inner-sidebar">

    <!-- HEADER -->
    <div class="header accent p-16 p-sm-24" fxLayout="column" fxLayoutAlign="start" fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">

        <!-- APP TITLE -->
        <div fxLayout="row" fxLayoutAlign="start center">

            <button mat-icon-button class="sidebar-toggle mr-12" fxHide.gt-sm (click)="toggleSidebar('contacts-main-sidebar')">
                <mat-icon>menu</mat-icon>
            </button>

            <div class="logo" fxLayout="row" fxLayoutAlign="start center">
                <mat-icon class="logo-icon mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">account_box
                </mat-icon>
                <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                    {{'TITLE' | translate}}
                </span>
            </div>

        </div>
        <!-- / APP TITLE -->

        <!-- SEARCH -->
        <div class="ml-sm-32" fxLayout="row" fxLayoutAlign="center center" fxFlex>

            <div class="search-wrapper mt-16 mt-sm-0">

                <div class="search" *ngIf="showSearchForm" fxFlex fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon>search</mat-icon>
                    <input [formControl]="searchInput" [matAutocomplete]="auto" placeholder="{{'INPUT' | translate}}"> <button mat-mini-fab color="warn" (click)="resetText()" >&times;</button>
                    <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn" (optionSelected)="onSelectPatien($event.option.value)">
                        <mat-option *ngFor="let option of filteredPatiens" [value]="option">
                            <small>{{option.Kd_RM}}</small> |
                            <span>{{option.Nama}}</span>
                        </mat-option>
                    </mat-autocomplete>
                </div>

            </div>

        </div>
        <!-- / SEARCH -->

    </div>
    <!-- / HEADER -->

    <!-- CONTENT -->
    <div class="content">

        <!-- SIDEBAR -->
        <fuse-sidebar class="sidebar" name="contacts-main-sidebar" position="left" lockedOpen="gt-sm">

            <!-- SIDEBAR CONTENT -->
            <div class="content" fusePerfectScrollbar>
                <patien-main-sidebar [@animate]="{value:'*'}"></patien-main-sidebar>
            </div>
            <!-- / SIDEBAR CONTENT -->

        </fuse-sidebar>
        <!-- / SIDEBAR -->
        <!-- CENTER -->
        <div class="center p-24 pb-56" fusePerfectScrollbar>
        
            <!-- CONTENT -->
            <div class="content">
                <mat-tab-group [selectedIndex]="selected.value" (selectedIndexChange)="onTabChange($event)">

                    <mat-tab label="Personal Data">
                        <div class="tab-content p-24">
                            <emr-personal></emr-personal>
                        </div>
                    </mat-tab>

                    <mat-tab label="Rawat Jalan" *ngIf="currentUser.Kd_Unit_RS=='RM'">
                        <div class="tab-content p-24">
                            <history-rj></history-rj>
                        </div>
                    </mat-tab>

                    <mat-tab label="Rawat Darurat" *ngIf="currentUser.Kd_Unit_RS=='RM'">
                        <div class="tab-content p-24">
                            <history-rd></history-rd>
                        </div>
                    </mat-tab>

                    <mat-tab label="Rawat Inap" *ngIf="currentUser.Kd_Unit_RS=='RM'">
                        <div class="tab-content p-24">
                            <history-ri></history-ri>
                        </div>
                    </mat-tab>

                    <mat-tab label="Pengkajian Perawat" *ngIf="currentUser.Kd_Unit_RS=='RM'">
                        <div class="tab-content p-24">
                            <app-pengkajian-perawat></app-pengkajian-perawat>
                            <!-- <history-pengkajian></history-pengkajian> -->
                        </div>
                    </mat-tab>

                    <!-- <mat-tab label="Pengkajian Dokter" *ngIf="currentUser.Kd_Unit_RS=='RM'">
                        <div class="tab-content p-24">
                            <app-pengkajian-dokter></app-pengkajian-dokter>
                        </div>
                    </mat-tab> -->

                    <!-- <mat-tab label="Alergi">
                        <div class="tab-content p-24">
                            PUT YOUR TAB CONTENT HERE
                        </div>
                    </mat-tab> -->

                    <!-- <mat-tab label="Tindakan">
                        <div class="tab-content p-24">
                            PUT YOUR TAB CONTENT HERE
                        </div>
                    </mat-tab> -->

                    <mat-tab label="Pemeriksaan Penunjang" *ngIf="currentUser.Kd_Unit_RS=='RM'">
                        <div class="tab-content p-24">
                            <history-lab></history-lab>
                        </div>
                    </mat-tab>

                    <mat-tab label="Arsip Digital">
                        <div class="tab-content p-24">
                            <arsip-digital></arsip-digital>
                        </div>
                    </mat-tab>

                </mat-tab-group>

            </div>
            <!-- / CONTENT -->

        </div>
        <!-- / CENTER -->
    </div>
    
    <div class="container container-mr" style="min-height: 80vh;">
        <div id="detail-rawat-jalan">
            <div class="center" *ngIf="detailRawatJalan">
                <mat-card>
                    <h2 class="h2-tiket">Detail - {{ rawatJalan.tiket }} <button (click)="closeAll()" mat-flat-button color="red">&times; close</button></h2>
                    <button (click)="triggerPrint()" id="print-button" mat-flat-button color="primary">Print</button>
                    <mat-tab-group>
                        <mat-tab id="p-umum-cppt" label="Pengkajian Umum / CPPT">
                            <app-pengkajian-umum-cppt></app-pengkajian-umum-cppt>
                        </mat-tab>
                        <mat-tab id="p-awal-dokter" label="Pengkajian Dokter">
                            <app-pengkajian-dokter></app-pengkajian-dokter>
                        </mat-tab>
                    </mat-tab-group>
                </mat-card>
            </div>
        </div>

        <div id="detail-pengkajian-perawat">
            <div class="center" *ngIf="detailPengkajianPerawat">
                <mat-card>
                    <h2 class="h2-tiket">Detail - {{ pengkajianPerawat.tiket }}  <button (click)="closeAll()" mat-flat-button color="red">&times; close</button></h2>
                    <button (click)="triggerPrint()" id="print-button" mat-flat-button color="primary">Print</button>
                    <app-perawat-dewasa *ngIf="perawatDewasa"></app-perawat-dewasa>
                    <app-perawat-anak *ngIf="perawatAnak"></app-perawat-anak>
                    <app-perawat-obgin *ngIf="perawatObstetri"></app-perawat-obgin>
                    <app-perawat-bedah *ngIf="perawatBedah"></app-perawat-bedah>
                    <app-perawat-igd *ngIf="perawatIGD"></app-perawat-igd>
                </mat-card>
            </div>
        </div>

        <div id="detail-lab">
            <div class="center" *ngIf="LabResult">
                <mat-card>
                     <button (click)="triggerPrint()" id="print-button" mat-flat-button color="primary">Print</button>
                    <app-detail-lab *ngIf="LabResult"></app-detail-lab>
                </mat-card>
            </div>
        </div>
    </div>
    <!-- / CONTENT-->
</div>